Summary: A binary file delta generator and an RCS replacement library.
Name: xdelta
Version: 1.1.3
Release: 15
License: GPL
Group: Development/Tools
Source: http://prdownloads.sourceforge.net/xdelta/xdelta-%{version}.tar.gz
Patch: xdelta-1.1.3-freegen.patch
Patch2: xdelta-1.1.3-aclocal.patch
Url: http://sourceforge.net/projects/xdelta/
BuildRequires: glib-devel, zlib-devel, libtool
BuildRoot: %{_tmppath}/%{name}-root

%description
Xdelta (X for XCF: the eXperimental Computing Facility at Berkeley) is
a binary delta generator (like a diff program for binaries) and an RCS
version control replacement library. The Xdelta library performs its
work independently of the actual format used to encode the file and is
intended to be used by various higher-level programs such as XCF's
Project Revision Control System (PRCS).  PRCS is a front end for a
version control toolset.  Xdelta uses a binary file delta algorithm to
replace the standard diff program used by RCS.

%package devel
Summary: Static library and header files for Xdelta development.
Group: Development/Libraries
Requires:  %{name} = %{version}
%description devel
The Xdelta-devel package contains the static library and header files
needed for developing Xdelta-based applications.

%prep
%setup -q
%patch -p1
%patch2 -p1
libtoolize --force

%build
%configure

# IDIOT author overrides our cflags with -O3
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README xdelta.magic
%{_bindir}/xdelta
%{_libdir}/lib*.so.*
%{_mandir}/*/*

%files devel
%defattr(-,root,root)
%{_bindir}/xdelta-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_datadir}/aclocal/xdelta.m4

%changelog
* Wed Oct 20 2004 Miloslav Trmac <mitr@redhat.com> - 1.1.3-15
- Add BuildRequires: glib-devel (#123759)
- Properly quote aclocal macro definition

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 19 2003 Elliot Lee <sopwith@redhat.com> 1.1.3-11
- xdelta-config belongs in the -devel subpackage - fix it

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 18 2002 Elliot Lee <sopwith@redhat.com> 1.1.3-9
- Rebuild

* Mon Oct 21 2002 Elliot Lee <sopwith@redhat.com> 1.1.3-8
- Rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Feb 15 2002 Elliot Lee <sopwith@redhat.com> 1.1.3-5
- Undo fixscribble patch, jmacd explained why my code+edsio API was at 
  fault and not xdelta.

* Fri Jan 25 2002 Elliot Lee <sopwith@redhat.com> 1.1.3-4
- Fix the bad estimation of checksum array size that caused libxdelta to
  scribble over unallocated memory when generating a delta.

* Thu Jan 24 2002 Elliot Lee <sopwith@redhat.com> 1.1.3-3
- Fix the lack of xdp_generator_free function
- Use _smp_mflags
- Prevent configure.in from chucking -O3 into CFLAGS

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Sep 24 2001 Than Ngo <than@redhat.com> 1.1.3-1
- update to 1.1.3
- Copyright -> License

* Mon Jul 23 2001 Jeff Johnson <jbj@redhat.com>
- add build dependency on zlib-devel (#49739).

* Tue Jun 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do not use attr, as it also modifies symlinks in binary rpms :-)

* Tue Jun 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- man-pages owned by root
- include link from lib major version number

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Dec 11 2000 Erik Troan <ewt@redhat.com>
- rebuilt

* Thu Jun 09 2000 Than Ngo <than@redhat.de>
- FHS fixes
- use rpm macros

* Tue May 23 2000 Karsten Hopp <Karsten.Hopp@redhat.de>
- rebuild for 7.0
- changed mandir to /usr/share/man

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Tue May 11 1999 Cristian Gafton <gafton@redhat.com>
- don't ship /usr/info/dir

* Mon Apr 13 1999 Michael Maher <mike@redhat.com>
- built package fpr 6.0
- updated package

* Thu Jul 23 1998 Jeff Johnson <jbj@redhat.com>
- package for powertools.

* Tue Jul 07 1998 Arne Coucheron <arneco@online.no>
  [0.22-1]
- removed running of automake, problem fixed in sources

* Sat Jul 04 1998 Arne Coucheron <arneco@online.no>
  [0.21-1]
- added xdelta.magic to %doc
- added running of automake before configure to make this version build
- changed %defattr

* Sat Jun 27 1998 Arne Coucheron <arneco@online.no>
  [0.20-1]

* Sun Jun  7 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.19-3]
- fixed configuring sources by add --x-includes=/usr/lib/glib/include
  configure parameter (for glibconfig.h),
- changed Source url to ftp://www.xcf.berkeley.edu/pub/xdelta/
- fixed %defattr macros (thanks to Ren Wuttke <Rene.Wuttke@gmx.net>).

* Wed May  6 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.19-2]
- %%{version} macro instead %%{PACKAGE_VERSION},
- added -q %setup parameter,
- added using %%{name} macro in Buildroot, Source and Rquires in devel
  fields.

* Sun May 03 1998 Arne Coucheron <arneco@online.no>
  [0.19-1]
- removed some older changelogs

* Wed Apr 28 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.18-2]
- removed COPYING from %doc (copyright statment is in Copyright field),
- /sbin/ldconfig is now -p parameter in %post, %postun,
- replaced "mkdir -p" with "install -d" in %%install,
- added "Requires: xdelta = %%{PACKAGE_VERSION}" for devel,
- added using %defattr macro in %files (requires rpm >= 2.4.99),
- added using predefined macro %%{PACKAGE_VERSION} instead %{version},
- changed permission on /usr/lib/lib*.so links to 644,
- removed /usr/lib/libxdelta.la from devel,
- added striping /usr/lib/lib*.so.*.* libs,
- Buildroot changed to /tmp/xdelta-%%{PACKAGE_VERSION}-root.

* Fri Apr 24 1998 Arne Coucheron <arneco@online.no>
  [0.18-1]
- removed the fakeglib patch

* Wed Apr 08 1998 Arne Coucheron <arneco@online.no>
  [0.15-2]
- splitted the package into a main and devel package

* Sat Apr 04 1998 Arne Coucheron <arneco@online.no>
  [0.15-1]
